> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/residents/update-resident-pet-res-man/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Update Resident Pet: ResMan PUT https://api.propexo.com/v1/resident-pets/resman/{pet_id} Content-Type: application/json Update Resident Pet: ResMan | Interface | Method | |---|---| | Residents | /Residents/PostPets | Reference: https://docs.propexo.com/api-reference/resman/residents/update-resident-pet-res-man ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `pet_id` (string, required) — The Propexo unique identifier for the resident pet ### Body (application/json) This endpoint expects a _v1_resident-pets_resman_{pet_id}_put_input. - `name` (string, required) — The name associated with the resident pet - `type` (string, required) — The type associated with the resident pet - `age_in_years` (integer, optional) — The age in years of the resident pet - `breed` (string, optional) — The breed of the resident pet - `color` (string, optional) — The color of the resident pet - `notes` (string, optional) — Notes associated with the resident pet - `weight_in_pounds` (integer, optional) — The weight in pounds of the resident pet ## Response ### 200 Successful response - `meta` (V1ResidentPetsResmanPetIdPutOutputMeta, required) - `result` (V1ResidentPetsResmanPetIdPutOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1ResidentPetsResmanPetIdPutOutputMeta - `job_id` (string, required) ### V1ResidentPetsResmanPetIdPutOutputResult - `pet_id` (string, required) — The Propexo unique identifier for the resident pet - `name` (string, required) — The name associated with the resident pet - `type` (string, required) — The type associated with the resident pet - `age_in_years` (integer, optional) — The age in years of the resident pet - `breed` (string, optional) — The breed of the resident pet - `color` (string, optional) — The color of the resident pet - `notes` (string, optional) — Notes associated with the resident pet - `weight_in_pounds` (integer, optional) — The weight in pounds of the resident pet ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ## Examples **Request** ```json { "name": "string", "type": "string" } ``` **Response** ```json { "meta": { "job_id": "string" }, "result": { "pet_id": "string", "name": "string", "type": "string", "age_in_years": 1, "breed": "string", "color": "string", "notes": "string", "weight_in_pounds": 1 } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/resident-pets/resman/pet_id" payload = { "name": "string", "type": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/resident-pets/resman/pet_id'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"string","type":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/resident-pets/resman/pet_id" payload := strings.NewReader("{\n \"name\": \"string\",\n \"type\": \"string\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/resident-pets/resman/pet_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"type\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.propexo.com/v1/resident-pets/resman/pet_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"type\": \"string\"\n}") .asString(); ``` ```php request('PUT', 'https://api.propexo.com/v1/resident-pets/resman/pet_id', [ 'body' => '{ "name": "string", "type": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/resident-pets/resman/pet_id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\",\n \"type\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "string", "type": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-pets/resman/pet_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```